curl -X GET "https://api.finscreener.in/api/watchlist/wl_123" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": {
"id": "wl_123",
"name": "Target Companies",
"type": "company",
"count": 25,
"created_at": "2026-01-15T10:00:00Z"
}
}
Watchlist
Get Watchlist
Get watchlist details
GET
/
api
/
watchlist
/
{watchlist_id}
curl -X GET "https://api.finscreener.in/api/watchlist/wl_123" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": {
"id": "wl_123",
"name": "Target Companies",
"type": "company",
"count": 25,
"created_at": "2026-01-15T10:00:00Z"
}
}
Retrieve a specific watchlist by its ID.
Path Parameters
string
required
Watchlist ID
Headers
string
required
Bearer token:
Bearer <access_token>curl -X GET "https://api.finscreener.in/api/watchlist/wl_123" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": {
"id": "wl_123",
"name": "Target Companies",
"type": "company",
"count": 25,
"created_at": "2026-01-15T10:00:00Z"
}
}